OpenVDB: CheckMin< GridT, TreeIterT > Struct Template Reference

OpenVDB 8.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
CheckMin< GridT, TreeIterT > Struct Template Reference

Checks a value against a minimum. More...

`#include <Diagnostics.h>`

## Public Types
using | ElementType = typename VecTraits< typename GridT::ValueType >::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT = typename tree::IterTraits< typename TreeIterT::NodeT, typename TreeIterT::ValueIterT > ::template NodeConverter< typename GridT::TreeType::LeafNodeType >::Type

## Public Member Functions
| CheckMin (const ElementType &_min)
bool | operator() (const ElementType &v) const
| Return true if the value is smaller than min. More...
template<typename T >
std::enable_if< VecTraits< T >::IsVec, bool >::type | operator() (const T &v) const
| Return true if any of the vector components are smaller than min. More...
bool | operator() (const TreeIterT &iter) const
| Return true if the voxel at the iterator location is smaller than min. More...
bool | operator() (const VoxelIterT &iter) const
| Return true if the tile at the iterator location is smaller than min. More...
std::string | str () const
| Return a string describing a failed check. More...

## Public Attributes
const ElementType | minVal

## Detailed Description

### template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter>
struct openvdb::v8_1::tools::CheckMin< GridT, TreeIterT >

Checks a value against a minimum.

## Member Typedef Documentation

## ◆ ElementType

using ElementType = typename VecTraits<typename GridT::ValueType>::ElementType

## ◆ TileIterT

using TileIterT = TreeIterT

## ◆ VoxelIterT

using VoxelIterT = typename tree::IterTraits<typename TreeIterT::NodeT, typename TreeIterT::ValueIterT> ::template NodeConverter< typename GridT::TreeType::LeafNodeType>::Type

## Constructor & Destructor Documentation

## ◆ CheckMin()

CheckMin | ( | const ElementType & | _min | ) |
| inline

## Member Function Documentation

## ◆ operator()() [1/4]

bool operator() | ( | const ElementType & | v | ) | const
| inline

Return true if the value is smaller than min.

## ◆ operator()() [2/4]

std::enable_if<VecTraits<T>::IsVec, bool>::type operator() | ( | const T & | v | ) | const
| inline

Return true if any of the vector components are smaller than min.

## ◆ operator()() [3/4]

bool operator() | ( | const TreeIterT & | iter | ) | const
| inline

Return true if the voxel at the iterator location is smaller than min.

## ◆ operator()() [4/4]

bool operator() | ( | const VoxelIterT & | iter | ) | const
| inline

Return true if the tile at the iterator location is smaller than min.

## ◆ str()

std::string str | ( |  | ) | const
| inline

Return a string describing a failed check.

## Member Data Documentation

## ◆ minVal

const ElementType minVal

The documentation for this struct was generated from the following file:

- Diagnostics.h